<HTML><HEAD><TITLE>Introduction</TITLE>
</HEAD>
<BODY BGCOLOR="#FFFFFF">
<BODY>
<A href="index.html"> Contents </A>  <br>
<A href="gpiv.html"> Next </A> 
<P>
<A NAME="intro.html"> <H1>Introduction </H1></A>

<a name="sect1.1"> <H2>1.1 General description</H2></A>

Gpiv (<a href="#fig1.1">Figure 1.1</A>) is a program to record and
interrogating images for <a href="piv_intro.html">Particle Image
Velocimetry (PIV)</A>. It also includes algorithms for validation of
the PIV estimators and post-processing that result into derived
(scalar) flow quantities. It gives an overview of the parameters in a
logical and organized way, allows to run the processes individually or
in a pipeline process and visualizes the results. Gpiv displays the
images, interrogation area's, piv estimators, outliers, excessive
velocity gradients and post processing results in a single window
frame. The resulting estimator values may be displayed interactively. The
graphical user interface of Gpiv has been written with the GTK/GNOME
libraries.
<P>

Gpiv is one of the end-user programs that makes extensively use of
Libgpiv. Libgpiv includes the main algorithms for interrogation,
validation, post-processing, memory (de)allocation, in-and output
handling, etc. Other end-user programs may be found in the Gpivtools
package. Gpivtools contains command line programs that may be invoked
from a shell or from scripts. Some PERL scripts are found in the
Gpivtools package, as well. All codes have been written in ANSI-C and
have been developed on a LINUX box.
<P>
<P>

<IMG SRC = "figures/gpiv-desk.png"> <br>
<A NAME="fig1.1" id="fig1.1">Figure 1.1 Screenshot of Gpiv with PIV estimators
(vectors) from an artificial, computer generated image pair 
<a href="ref1">[1]</a> 
and the derived 
vorticity field (background color) </A>
<P>

<a name="sect1.2"> <H2>1.2 License </H2></A>
Gpiv is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free
Software Foundation; either version 2, or (at your option) any later
version.
<P>
This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.
<P>
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
USA.


<a name="sect1.3"> <H2> 1.3 Final remarks</H2></A>
<P>
I kindly ask to acknowledge the use of the software in articles,
reports etc. in case the software has considerably contributed to the
work presented.  I hope you'll enjoy Gpiv. Suggestions for
improvements and additions are welcome.
<P>
Gerber van der Graaf<br> 
e-mail: <a href=mailto:gerber_graaf@users.sourceforge.net>gerber_graaf@users.sourceforge.net</a>
<P>
<a name="ref1"> <H2> References</H2></A>
[1] Okamoto, K., Nishio, S., Saga, T. and Kobayashi, T., 2000, "Standard images 
for particle-image velocimetry," Meas. Sci. Technol., 11, 685-691.
<a href="http://www.vsj.or.jp/piv/"> vsj.or.jp/piv/ </a>
<P>
<P
<A href="index.html"> Contents </A>  <br>
<A href="gpiv.html"> Next </A> 
</BODY>
</HTML>


